(function ($) {

  Drupal.behaviors.sherpaWebformFieldsetSummaries = {
    attach: function (context) {
      $(context).find('#edit-sherpa-webform-advanced').drupalSetSummary(function (context) {
        var communityID = $('.form-item-community-id input', context).val();
        var sending = $('.form-item-include-webform input', context).attr('checked');

        if (sending) {
          return Drupal.t('Sending this form to Sherpa<br>@alias', {'@alias': communityID});
        }
        else {
          return Drupal.t('Not sending this form to Sherpa');
        }
      });
    }
  };

})(jQuery);
